Bug 1928147 - Domain search set in the required domains in Option 119 of DHCP Server is ignored by RHCOS on RHV [NEEDINFO]
Summary: Domain search set in the required domains in Option 119 of DHCP Server is ign...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.6
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 4.8.0
Assignee: Ben Howard
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 2038383
TreeView+ depends on / blocked
 
Reported: 2021-02-12 13:39 UTC by Andreas Nowak
Modified: 2022-01-10 21:35 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:44:18 UTC
Target Upstream Version:
miabbott: needinfo-
aprajapa: needinfo? (behoward)
jerzhang: needinfo? (behoward)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2428 0 None open Bug 1928147: Respect DHCP option 119 for on-prem 2021-02-24 15:27:07 UTC
Red Hat Knowledge Base (Solution) 5309941 0 None None None 2021-02-12 13:39:15 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:44:35 UTC

Comment 5 Ben Howard 2021-02-24 15:30:22 UTC
PR filed and pending. Fix is pending the usual review/test/backport churn.

Comment 12 Michael Nguyen 2021-06-24 21:28:21 UTC
Verified on 4.8.0-0.nightly-2021-06-24-101028.  Installed bare-metal instance with dhcp option 119 (see config below).  /etc/resolve.conf has the correct search domain.


[root@helper openshift]# oc get node
NAME                       STATUS   ROLES    AGE   VERSION
master0.ocp4.example.com   Ready    master   41m   v1.21.0-rc.0+766a5fe
master1.ocp4.example.com   Ready    master   41m   v1.21.0-rc.0+766a5fe
master2.ocp4.example.com   Ready    master   39m   v1.21.0-rc.0+766a5fe
[root@helper openshift]# oc debug node/master0.ocp4.example.com
Starting pod/master0ocp4examplecom-debug ...
To use host binaries, run `chroot /host`
Pod IP: 192.168.7.21
If you don't see a command prompt, try pressing enter.
sh-4.2# chroot /host
sh-4.4# cat /etc/resolv.conf 
# Generated by NetworkManager
search example.org ocp4.example.com
nameserver 192.168.7.77
sh-4.4# rpm-ostree status
State: idle
Deployments:
* pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9a23adde268dc8937ae293594f58fc4039b574210f320ebdac85a50ef40220dd
              CustomOrigin: Managed by machine-config-operator
                   Version: 48.84.202106231817-0 (2021-06-23T18:21:06Z)

  ostree://eb6dd3b8b2912914f568af791a7ece826665cc78153a4e4d304acdaae1daacd1
                   Version: 48.84.202106231817-0 (2021-06-23T18:21:06Z)

sh-4.4# exit
exit
sh-4.2# exit
exit

Removing debug pod ...
[root@helper openshift]# cat /etc/dhcp/dhcpd.conf | head -30
authoritative;
ddns-update-style interim;
default-lease-time 14400;
max-lease-time 14400;

	option routers                  192.168.7.1;
	option broadcast-address        192.168.7.255;
	option subnet-mask              255.255.255.0;
	option domain-name-servers      192.168.7.77;
	option domain-name              "ocp4.example.com";
        option domain-search            "example.org";

	subnet 192.168.7.0 netmask 255.255.255.0 {
	interface eth0;
     	pool {
        	range 192.168.7.10 192.168.7.30;
		# Static entries
		host bootstrap { hardware ethernet 52:54:00:a3:02:65; fixed-address 192.168.7.20; }
		host master0 { hardware ethernet 52:54:00:bc:68:ae; fixed-address 192.168.7.21; }
		host master1 { hardware ethernet 52:54:00:04:39:87; fixed-address 192.168.7.22; }
		host master2 { hardware ethernet 52:54:00:e7:c1:5d; fixed-address 192.168.7.23; }
		host worker0 { hardware ethernet 52:54:00:9d:8c:f1; fixed-address 192.168.7.11; }
		host worker1 { hardware ethernet 52:54:00:ec:0b:73; fixed-address 192.168.7.12; }
		host worker2 { hardware ethernet 52:54:00:8e:10:34; fixed-address 192.168.7.13; }
		# this will not give out addresses to hosts not listed above
		deny unknown-clients;

		# this is PXE specific  
		filename "pxelinux.0";  
		next-server 192.168.7.77;

Comment 16 errata-xmlrpc 2021-07-27 22:44:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.